[avail for test] readline-4.2-1

Charles S. Wilson cwilson@ece.gatech.edu
Mon Jun 4 07:40:00 GMT 2001


Jason Tishler wrote:
> 
> Chuck,
> 
> On Sun, Jun 03, 2001 at 02:03:04AM -0400, Charles S. Wilson wrote:
> > Currently, the only *official* package that depends on and is affected
> > by this is postgresql (psql.exe).  Eventually, I hope the postgresql
> > maintainer (Jason???) will recompile that package to use the new
> > cygreadline4.2.dll --- AFTER this package has gone through a certain
> > amount of peer review --- but until then, you'll need to preserve your
> > old cygreadline4.dll.
> 
> Actually, Cygwin Python also depends on cygreadline4.dll too.  Albeit,
> in a much less obvious way:
> 
>     $ objdump -p /usr/lib/python2.1/lib-dynload/readline.dll | fgrep 'DLL Name'
>             ...
>             DLL Name: cygreadline4.dll

I did not know this.  Thanks.

> I will update Cygwin PostgreSQL and Python ASAP to facilitate the upgrade
> to readline-4.2-1.

Don't rush.  I like some testing time before we make the switch to 4.2
official.  Remember, I had to reapply (mostly re-edit) my 200k patch by
hand because the 4.1patch didn't apply cleanly.  So, 4.2 is basically a
"new" port.  Let's give it a while to settle.  It seems to work fine
*for me*, but outside confirmation is a good thing.

--Chuck

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list